convertForwardVector2HPB: n		// n is a normalized vector
{
	// credit: Ernie Wright
	
	// takes a normalized vector and computes for its Euler coordinates: heading, pitch, and bank

	rotate = <0,0,0>;
	rotate.y = asin( -n.y );
	if ( 1.0 - abs( n.y ) > 0.0000000001 )
	{
		rotate.x = acos( n.z / cos( rotate.y ));
		if ( n.x < 0.0 )
			rotate.x = 2 * PI - rotate.x;

	}
	else
		rotate.x = 0.0;

	rotate.x = deg(rotate.x);
	if(rotate.x > 180)
		rotate.x = rotate.x - 360;

	rotate.y = deg(rotate.y);

	return(rotate);
}
